package com.cpp.web.service.alarm;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.Alarm.AbnormalAlarm;
import com.cpp.web.domain.enums.AlarmEnum;

import java.util.Date;

/**
 * 告警信息业务层接口
 *
 * @author tl
 * @date 2022-05-11 09:51:21
 */
public interface AbnormalAlarmService extends IService<AbnormalAlarm> {

    QueryWrapper<AbnormalAlarm> findByTimeBetweenAndAlarmTypeAndStationCode(Date startTime, Date endTime, AlarmEnum alarmType, String stationCode);

    Boolean updateAllStatus1(String stationCode);

    int countByStatusAndStationCode(Integer status, String stationCode);
}
